Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.view
Class Viewable

    java.lang.Object
      com.sun.jersey.api.view.Viewable

    public class Viewable

extends java.lang.Object

A viewable type referencing a template by name and a model to be passed to the template. Such a type may be returned by a resource method of a resource class. In this respect the template is the view and the controller is the resource class in the Model View Controller pattern.

When the viewable type is processed the template name will be resolved to an fully qualifed template path (if resolvable) and the template identified by that path will be processed.

TODO specify template name to absolute template path to fully qualified template path.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`Viewable(java.lang.String templateName, java.lang.Object model)` Construct a new viewable type with a template name and a model.

Method Summary
`java.lang.Object` | `getModel()` Get the model.
`java.lang.String` | `getTemplateName()` Get the template name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Viewable

    public Viewable(java.lang.String templateName,
                    java.lang.Object model)

  Construct a new viewable type with a template name and a model.

  Parameters:
    `templateName` - the template name.
    `model` - the model.

Method Detail

### getTemplateName

    public java.lang.String getTemplateName()

  Get the template name.

  Returns:
    the template name.

### getModel

    public java.lang.Object getModel()

  Get the model.

  Returns:
    the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.